websocket-sharp 1.0.2.36581 System.Enum Contains the values of the status codes for the WebSocket connection closure.

The CloseStatusCode enumeration contains the values of the status codes for the WebSocket connection closure defined in RFC 6455 for the WebSocket protocol.

"Reserved value" must not be set as a status code in a close control frame by an endpoint. It is designated for use in applications expecting a status code to indicate that connection was closed due to a system grounds.

- Field
  1.0.2.36581
  WebSocketSharp.Frame.CloseStatusCode Equivalent to close status 1006. Indicates that the connection was closed abnormally. Reserved value.
- Field
  1.0.2.36581
  WebSocketSharp.Frame.CloseStatusCode Equivalent to close status 1001. Indicates that an endpoint is "going away".
- Field
  1.0.2.36581
  WebSocketSharp.Frame.CloseStatusCode Equivalent to close status 1010. Indicates that an endpoint (client) is terminating the connection because it has expected the server to negotiate one or more extension, but the server didn't return them in the response message of the WebSocket handshake.
- Field
  1.0.2.36581
  WebSocketSharp.Frame.CloseStatusCode Equivalent to close status 1007. Indicates that an endpoint is terminating the connection because it has received data within a message that was not consistent with the type of the message.
- Field
  1.0.2.36581
  WebSocketSharp.Frame.CloseStatusCode Equivalent to close status 1003. Indicates that an endpoint is terminating the connection because it has received a type of data it cannot accept.
- Field
  1.0.2.36581
  WebSocketSharp.Frame.CloseStatusCode Equivalent to close status 1005. Indicates that no status code was actually present. Reserved value.
- Field
  1.0.2.36581
  WebSocketSharp.Frame.CloseStatusCode Equivalent to close status 1000. Indicates a normal closure.
- Field
  1.0.2.36581
  WebSocketSharp.Frame.CloseStatusCode Equivalent to close status 1008. Indicates that an endpoint is terminating the connection because it has received a message that violates its policy.
- Field
  1.0.2.36581
  WebSocketSharp.Frame.CloseStatusCode Equivalent to close status 1002. Indicates that an endpoint is terminating the connection due to a protocol error.
- Field
  1.0.2.36581
  WebSocketSharp.Frame.CloseStatusCode Equivalent to close status 1011. Indicates that a server is terminating the connection because it encountered an unexpected condition that prevented it from fulfilling the request.
- Field
  1.0.2.36581
  WebSocketSharp.Frame.CloseStatusCode Equivalent to close status 1015. Indicates that the connection was closed due to a failure to perform a TLS handshake. Reserved value.
- Field
  1.0.2.36581
  WebSocketSharp.Frame.CloseStatusCode Equivalent to close status 1009. Indicates that an endpoint is terminating the connection because it has received a message that is too big for it to process.
- Field
  1.0.2.36581
  WebSocketSharp.Frame.CloseStatusCode Equivalent to close status 1004. Still undefined. Reserved value.